syn match zmBlkSec /\v^[ ]*[!?~>][ ]{3}/
syn match zmBlkSec /\v^[ ]*\-{3,}[ ]*$/
syn match zmBlkSec /\v^[ ]*\={3,}[ ]*$/
syn match zmBlkSec /\v^%([ ]{4})*[#]{1,6}/
syn match zmBlkFmt /\v^%([ ]{4})*[-][ ]{3}/
syn match zmBlkFmt /\v^%([ ]{4})*%(\d\.[ ]{2}|\d{2}\.[ ])/
syn match zmBlkFmt /\v^%([ ]{4})*\[[ x]\][ ]/
syn match zmBlkFmt /\v^[ ]*%(\*[ ]?){3,}[ ]*$/
syn match zmBlkFmt /\v^[ ]*\^[ ]*$/
hi link zmBlkSec PreProc
hi link zmBlkFmt Delimiter
syn cluster zmInl contains=zmInlScr,zmInlIns,zmInlDel,zmInlMath,zmInlCode,zmInlEmph,zmInlBold,zmInlBoldEmph,zmInlSym,zmInlEsc
syn region zmInlIns matchgroup=Delimiter start=/\v[+]\{/ end=/\v\}/ contains=@zmInl
syn region zmInlDel matchgroup=Delimiter start=/\v[-]\{/ end=/\v\}/ contains=@zmInl
syn region zmInlScr matchgroup=Delimiter start=/\v[_^]\{/ end=/\v\}/ contains=@zmInl
syn region zmInlMath matchgroup=Delimiter start=/\v\$\$?/ end=/\v\$+/ contains=zmInlEsc
syn region zmInlCode matchgroup=Delimiter start=/\v\`/ end=/\v\`/ contains=zmInlEsc
syn region zmInlEmph matchgroup=Delimiter start=/\v\*/ end=/\v\*+/ contains=zmInlEsc
syn region zmInlBold matchgroup=Delimiter start=/\v\*{2}/ end=/\v\*+/ contains=zmInlEsc
syn region zmInlBoldEmph matchgroup=Delimiter start=/\v\*{3,}/ end=/\v\*+/ contains=zmInlEsc
syn match zmInlSym /\v\&%(\w+|\#\d+|\#[xX][0-9a-fA-F]+);/
syn match zmInlEsc /\v\\./
hi zmInlIns gui=underline
hi link zmInlDel Ignore
hi link zmInlMath Statement
hi link zmInlCode Structure
hi zmInlEmph gui=italic
hi zmInlBold gui=bold
hi zmInlBoldEmph gui=bold,italic
hi link zmInlSym Constant
hi link zmInlEsc SpecialChar
syn match zmDef /\v^\&:\[[^\]]+\].*$/
syn match zmDef /\v^\!:\[[^\]]+\].*$/
syn region zmRef matchgroup=Macro start=/\v\&\[/ end=/\v\]/ contains=@zmInl nextgroup=zmRefArg
syn region zmRef matchgroup=Macro start=/\v\!\[/ end=/\v\]/ contains=@zmInl nextgroup=zmRefArg
syn region zmRefArg matchgroup=Macro start=/\v\[/ end=/\v\]/ contains=zmInlEsc contained
syn region zmRefArg matchgroup=Macro start=/\v\(/ end=/\v\)/ contains=zmInlEsc contained
hi link zmDef Comment
hi link zmRefArg Macro
syn region zmChkRef matchgroup=Operator start=/\v\@\[/ end=/\v\]/ contains=@zmInl
syn region zmChkRefCmd matchgroup=Operator start=/\v^%([ ]{4})*\@\[/ end=/\v\]/ contains=@zmInl nextgroup=zmChkCmd skipwhite
syn region zmChkCmd matchgroup=Operator start=/\v\:\:/ end=/\v$/ oneline contained contains=zmChkAtt
syn region zmChkCmd matchgroup=Operator start=/\v\-\>/ end=/\v$/ oneline contained
syn region zmChkCmd matchgroup=Operator start=/\v\+\=/ end=/\v^[ ]*\^[ ]*$/ contained contains=zmChkRef
syn keyword zmChkAtt Local contained
syn keyword zmChkAtt Share contained
hi link zmChkCmd String
hi link zmChkAtt Identifier
